Package org.bgerp.event.base

# Class UserEvent

java.lang.Object
org.bgerp.event.base.UserEvent

All Implemented Interfaces:
  `Event`

Direct Known Subclasses:
  `AgreementEvent`, `CustomerChangedEvent`, `CustomerRemovedEvent`, `DocumentGenerateEvent`, `GetPoolTasksEvent`, `InvoiceChangedEvent`, `InvoicePaidEvent`, `LinkAddingEvent`, `MessageRemovedEvent`, `ParamChangedEvent`, `ParamChangingEvent`, `ProcessChangedEvent`, `ProcessChangingEvent`, `ProcessCreatedAsLinkEvent`, `ProcessDoActionEvent`, `ProcessFileGetEvent`, `ProcessFilesEvent`, `ProcessMarkedActionEvent`, `ProcessMessageAddedEvent`, `ProcessRemovedEvent`, `QueueColumnEvent`, `RunClassRequestEvent`, `SetupChangedEvent`, `UserChangedEvent`

public class UserEvent extends Object implements Event
Event, appeared during a user's action call

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final DynActionForm`
  `form`

  ### Fields inherited from interface org.bgerp.app.event.iface.Event

  `KEY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserEvent(DynActionForm form)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DynActionForm`
  `getForm()`
  `User`
  `getUser()`
  `boolean`
  `processing()`
  `void`
  `stopProcessing()`
  Stops the event processing.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### form

    protected final DynActionForm form

- ## Constructor Details

  - ### UserEvent

    public UserEvent(DynActionForm form)

- ## Method Details

  - ### getForm

    public DynActionForm getForm()

  - ### getUser

    public User getUser()

  - ### processing

    public boolean processing()
    Specified by:
      `processing` in interface `Event`
    Returns:
      has the event to be processed by the next listener.

  - ### stopProcessing

    public void stopProcessing()
    Stops the event processing.